"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const uuid_1 = require("uuid");
const hls_js_1 = __importDefault(require("hls.js"));
const DEFAULT_CLASSNAME = "sldp-react-player";
const FallbackPlayer = ({ streamUrl, wrapperId = `sldp-react-player-${(0, uuid_1.v4)()}`, muted, width, height }) => {
    const [videoEl, setVideoEl] = (0, react_1.useState)();
    (0, react_1.useEffect)(() => {
        if (!videoEl)
            return;
        if (hls_js_1.default.isSupported()) {
            var hls = new hls_js_1.default();
            hls.on(hls_js_1.default.Events.MEDIA_ATTACHED, function () {
                console.log('video and hls.js are now bound together !');
            });
            hls.on(hls_js_1.default.Events.MANIFEST_PARSED, function (event, data) {
                console.log('manifest loaded, found ' + data.levels.length + ' quality level');
            });
            hls.loadSource(streamUrl);
            hls.attachMedia(videoEl);
        }
    }, [videoEl, streamUrl]);
    return react_1.default.createElement("div", { id: wrapperId, className: DEFAULT_CLASSNAME, style: { width, height } },
        react_1.default.createElement("video", { ref: (el) => setVideoEl(el), className: "video-js", width: "100%", height: "100%", controls: false, autoPlay: true, muted: muted, playsInline: true }));
};
exports.default = FallbackPlayer;
